[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# EGridException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error has occurred in a Grid class.

## Declaration

Source position: grids.pas line 83

`type EGridException = class(Exception)`

## Inheritance

`EGridException` |  | Exception raised when an error has occurred in a Grid class.
`Exception`
?
`TObject`

## Description

Used mainly when a row or a column position is invalid for a grid control.